> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secrets public key

> Get the active public key for the organization.

The public key can be used to seal values before creating or update secrets.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json get /secrets/public-key
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Edge Networks
  - name: Secrets
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /secrets/public-key:
    get:
      tags:
        - Secrets
      summary: Get secrets public key
      description: >-
        Get the active public key for the organization.


        The public key can be used to seal values before creating or update
        secrets.
      operationId: public.secrets.public-key
      responses:
        '200':
          description: >-
            Generating the key pair on the fly must not turn this read into a
            201.




            `OrganizationKeyPairResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OrganizationKeyPairResource'
                required:
                  - data
        '401':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                    examples:
                      - ''
                required:
                  - message
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    OrganizationKeyPairResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - organizationKeyPairs
        attributes:
          type: object
          properties:
            public_key:
              type: string
              description: A base64-encoded public key that can be used to seal values.
          required:
            - public_key
      required:
        - id
        - type
      title: OrganizationKeyPairResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````